Bug 714536 (CVE-2011-2213) - CVE-2011-2213 kernel: inet_diag: insufficient validation
Summary: CVE-2011-2213 kernel: inet_diag: insufficient validation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2213
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Network QE
URL:
Whiteboard: public=20110601,reported=20110601,sou...
Depends On: 714538 714539 714540 714541 714542
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-20 01:48 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:50 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:48:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC
Red Hat Product Errata RHSA-2011:1189 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-08-23 14:41:43 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Eugene Teo (Security Response) 2011-06-20 01:48:45 UTC
A malicious user or buggy application can inject code and trigger an infinite loop in inet_diag_bc_audit()

Also make sure each instruction is aligned on 4 bytes boundary, to avoid unaligned accesses.

http://thread.gmane.org/gmane.linux.network/197206/focus=197386
http://patchwork.ozlabs.org/patch/100857/

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-06-20 01:58:17 UTC
Statement:

This issue affects the Linux kernel as shipped with Red Hat Enterprise Linux 4,
5, 6, and Red Hat Enterprise MRG. Red Hat Enterprise Linux 4 is now in
Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates. This has been addressed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0927.html, https://rhn.redhat.com/errata/RHSA-2011-1189.html and https://rhn.redhat.com/errata/RHSA-2011-1253.html.

Comment 5 Vincent Danen 2011-06-20 19:31:13 UTC
This issue was assigned the name CVE-2011-2213:

http://seclists.org/oss-sec/2011/q2/643

Comment 7 Eugene Teo (Security Response) 2011-06-28 06:53:08 UTC
Upstream commit:
http://git.kernel.org/linus/eeb1497277d6b1a0a34ed36b97e18f2bd7d6de0d

Comment 8 errata-xmlrpc 2011-07-15 06:09:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0927 https://rhn.redhat.com/errata/RHSA-2011-0927.html

Comment 9 errata-xmlrpc 2011-08-23 14:42:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html

Comment 10 errata-xmlrpc 2011-09-12 19:45:40 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.